%define aurox_ver 	12.0
%define libname		Gtk2-TrayIcon

Name:           perl-%{libname}
Release:        1%{?dist}
Version:        0.03
Packager:       Jakub Wojnowski <jwojnowski@aurox.org>
Group:          Development/Libraries
Summary:        Perl interface to the EggTrayIcon library
License:        GPL / Artistic
Url:            http://www.cpan.org/
BuildArch:      noarch

BuildRoot:      %{_tmppath}/%{name}-%{PACKAGE_VERSION}
Requires:       perl perl-Gtk2 glib
BuildRequires:  perl-ExtUtils-Depends
BuildRequires:	perl-Glib
BuildRequires:	perl-ExtUtils-PkgConfig
BuildRequires:	glib-devel
BuildRequires:	perl-Gtk2
BuildRequires:  gtk2-devel
Source0:	http://search.cpan.org/CPAN/authors/id/M/ML/MLEHMANN/Gtk2-TrayIcon-0.03.tar.gz

%description
EggTrayIcon is slated for inclusion in Gtk+ at some point,
which is the reason the Gtk2::TrayIcon namespace.
As all egg libs, EggTrayIcon is not considered api stable 
and its not installed as a shared object.

%package debug
Summary:        Perl interface to the EggTrayIcon library
Group:          Development/Libraries
Requires:       perl-Gtk2-TrayIcon = 0.03

%description debug
EggTrayIcon is slated for inclusion in Gtk+ at some point,
which is the reason the Gtk2::TrayIcon namespace.
As all egg libs, EggTrayIcon is not considered api stable 
and its not installed as a shared object.

%prep
%setup -q -n %{libname}-%{version}
%{_bindir}/perldoc -t perlartistic > Artistic
%{_bindir}/perldoc -t perlgpl > COPYING

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make}

%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__make} pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
%{_bindir}/find $RPM_BUILD_ROOT -type f -name .packlist -exec %{__rm} -f {} ';'
%{_bindir}/find $RPM_BUILD_ROOT -type f -name '*.bs' -a -size 0 -exec %{__rm} -f {} ';'
%{_bindir}/find $RPM_BUILD_ROOT -type d -depth -exec %{__rmdir} {} 2>/dev/null ';'

%{__chmod} -R u+w $RPM_BUILD_ROOT/*

#%check
#%{__make} test

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Artistic COPYING
%{perl_vendorarch}/*
%{_mandir}/man3/*.3*
%{_libdir}/*

%files debug
%defattr(-,root,root,-)
%_usrsrc/*



%changelog
* Mon May 22 2006 Jakub Wojnowski <jwojnowski@aurox.org>
- initial release
